Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_DomainManager Class Reference

`#include <DomainC.h>`

Inheritance diagram for CORBA_DomainManager

[legend]
Collaboration diagram for CORBA_DomainManager:

[legend]
List of all members.

## Public Types
typedef CORBA_DomainManager_ptr | _ptr_type
typedef CORBA_DomainManager_var | _var_type
## Public Methods
virtual CORBA::Policy_ptr | get_domain_policy ( CORBA::PolicyType policy_type, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a ( const CORBA::Char *type_id, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual const char* | _interface_repository_id (void) const
## Static Public Methods
CORBA_DomainManager_ptr | _duplicate (CORBA_DomainManager_ptr obj)
CORBA_DomainManager_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_DomainManager_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_DomainManager_ptr | _nil (void)
void | _tao_any_destructor (void*)
## Static Public Attributes
int | _tao_class_id = 0
## Protected Methods
| CORBA_DomainManager (int collocated = 0)
virtual void | CORBA_DomainManager_setup_collocation (int collocated)
| CORBA_DomainManager ( TAO_Stub *objref, CORBA::Boolean _tao_collocated = 0, TAO_Abstract_ServantBase *servant = 0 )
virtual | ~CORBA_DomainManager (void)
## Private Methods
| CORBA_DomainManager (const CORBA_DomainManager &)
void | operator= (const CORBA_DomainManager &)
## Private Attributes
_TAO_CORBA_DomainManager_Proxy_Broker* | the_TAO_CORBA_DomainManager_Proxy_Broker_
## Friends
class | _TAO_CORBA_DomainManager_Remote_Proxy_Impl
class | _TAO_CORBA_DomainManager_ThruPOA_Proxy_Impl
class | _TAO_CORBA_DomainManager_Direct_Proxy_Impl

## Member Typedef Documentation

typedef CORBA_DomainManager_ptr CORBA_DomainManager::_ptr_type

typedef CORBA_DomainManager_var CORBA_DomainManager::_var_type

## Constructor & Destructor Documentation

CORBA_DomainManager::CORBA_DomainManager ( | int collocated = 0 )`[protected]`

ACE_INLINE CORBA_DomainManager::CORBA_DomainManager ( | TAO_Stub * objref,
| CORBA::Boolean _tao_collocated = 0,
| TAO_Abstract_ServantBase * servant = 0 )`[protected]`

CORBA_DomainManager::~CORBA_DomainManager ( | void )`[protected, virtual]`

CORBA_DomainManager::CORBA_DomainManager ( | const CORBA_DomainManager & )`[private]`

## Member Function Documentation

void CORBA_DomainManager::CORBA_DomainManager_setup_collocation ( | int collocated )`[protected, virtual]`

CORBA_DomainManager_ptr CORBA_DomainManager::_duplicate ( | CORBA_DomainManager_ptr obj )`[static]`

const char * CORBA_DomainManager::_interface_repository_id ( | void ) const`[virtual]`

CORBA::Boolean CORBA_DomainManager::_is_a ( | const CORBA::Char * value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

CORBA_DomainManager_ptr CORBA_DomainManager::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

CORBA_DomainManager_ptr CORBA_DomainManager::_nil ( | void )`[inline, static]`

void * CORBA_DomainManager::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

void CORBA_DomainManager::_tao_any_destructor ( | void * x )`[static]`

CORBA_DomainManager_ptr CORBA_DomainManager::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

CORBA::Policy_ptr CORBA_DomainManager::get_domain_policy ( | CORBA::PolicyType policy_type,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

void CORBA_DomainManager::operator= ( | const CORBA_DomainManager & )`[private]`

## Friends And Related Function Documentation

class _TAO_CORBA_DomainManager_Direct_Proxy_Impl`[friend]`

class _TAO_CORBA_DomainManager_Remote_Proxy_Impl`[friend]`

class _TAO_CORBA_DomainManager_ThruPOA_Proxy_Impl`[friend]`

## Member Data Documentation

int CORBA_DomainManager::_tao_class_id = 0`[static]`

_TAO_CORBA_DomainManager_Proxy_Broker * CORBA_DomainManager::the_TAO_CORBA_DomainManager_Proxy_Broker_`[private]`

The documentation for this class was generated from the following files:

- DomainC.h
- DomainC.cpp
- DomainC.i